Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] List REST catalogs
        • 🚧 [Experimental] Create REST catalog
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. RestCatalogs
  4. 🚧 [Experimental] List REST catalogs
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] List REST catalogs

Returns a list of REST catalogs available to the current DataLens tenant.

RequestRequest

POST

https://api.datalens.tech/rpc/listCatalogs

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "cloudEnvironmentId": "example",
  "filter": [
    "example"
  ],
  "pageSize": 0,
  "pageToken": "example",
  "sortBy": "name",
  "reverseOrder": true,
  "includePermissions": true
}

Name

Description

cloudEnvironmentId

Type: string

ID of the cloud environment to list REST catalogs in. Lists the whole tenant when omitted.

Example: example

filter

Type: string[]

Filter expressions such as name="…"; only matching REST catalogs are returned.

Example
[
  "example"
]

includePermissions

Type: boolean

Include permission information in the response.

pageSize

Type: integer

Maximum number of REST catalogs to return. The default is 100.

Min value: 0

pageToken

Type: string

Token for the next page of REST catalogs.

Example: example

reverseOrder

Type: boolean

Whether to sort REST catalogs in descending order.

sortBy

Type: string

Field used to sort REST catalogs.

Enum: name, createdAt, updatedAt

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "restCatalogs": [
    {
      "id": "example",
      "organizationId": "example",
      "tenantId": "example",
      "cloudEnvironmentId": "example",
      "name": "example",
      "description": "example",
      "labels": {},
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "createdById": "example",
      "updatedAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "bucket": {
        "settings": {
          "storageClass": "example",
          "maxSize": "example",
          "alias": "example",
          "description": "example"
        },
        "details": {
          "usedSize": "example",
          "maxSize": "example",
          "updatedAt": {}
        }
      },
      "permissions": {}
    }
  ],
  "nextPageToken": "example"
}

Name

Description

nextPageToken

Type: string

Token for the next page of REST catalogs.

Example: example

restCatalogs

Type: object[]

bucket

Type: object

settings

Type: object

alias

Type: string

Human-readable alias of the REST catalog bucket.

Example: example

maxSize

Type: string

Maximum size of the REST catalog bucket in bytes.

Example: example

storageClass

Type: string

Storage class of the REST catalog bucket.

Example: example

description

Type: string

Description of the REST catalog bucket.

Example: example

Settings of the REST catalog bucket.

Example
{
  "storageClass": "example",
  "maxSize": "example",
  "alias": "example",
  "description": "example"
}

details

Type: object

maxSize

Type: string

Maximum size of the bucket in bytes.

Example: example

updatedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the bucket details were updated.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

usedSize

Type: string

Current size of the bucket in bytes.

Example: example

Current details of the REST catalog bucket.

Example
{
  "usedSize": "example",
  "maxSize": "example",
  "updatedAt": {
    "seconds": "example",
    "nanos": 0.5
  }
}

Bucket associated with the REST catalog.

Example
{
  "settings": {
    "storageClass": "example",
    "maxSize": "example",
    "alias": "example",
    "description": "example"
  },
  "details": {
    "usedSize": "example",
    "maxSize": "example",
    "updatedAt": {
      "seconds": "example",
      "nanos": 0.5
    }
  }
}

cloudEnvironmentId

Type: string

ID of the associated cloud environment.

Example: example

createdById

Type: string

ID of the user who created the REST catalog.

Example: example

description

Type: string

Description of the REST catalog.

Example: example

id

Type: string

ID of the REST catalog.

Example: example

name

Type: string

Name of the REST catalog.

Example: example

organizationId

Type: string

ID of the organization that owns the REST catalog.

Example: example

tenantId

Type: string

ID of the tenant that owns the REST catalog.

Example: example

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the REST catalog was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

labels

Type: object

[additional]

Type: string

Example: example

REST catalog labels.

Example
{}

permissions

Type: object

[additional]

Type: boolean

Permissions for the REST catalog.

Example
{}

updatedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the REST catalog was last updated.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

REST catalogs matching the request.

Example
[
  {
    "id": "example",
    "organizationId": "example",
    "tenantId": "example",
    "cloudEnvironmentId": "example",
    "name": "example",
    "description": "example",
    "labels": {},
    "createdAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "createdById": "example",
    "updatedAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "bucket": {
      "settings": {
        "storageClass": "example",
        "maxSize": "example",
        "alias": "example",
        "description": "example"
      },
      "details": {
        "usedSize": "example",
        "maxSize": "example",
        "updatedAt": {
          "seconds": "example",
          "nanos": 0.5
        }
      }
    },
    "permissions": {}
  }
]

Была ли статья полезна?

Предыдущая
Overview
Следующая
🚧 [Experimental] Create REST catalog
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»